Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6949 - initlog leaves /etc/initscripts open
Summary: initlog leaves /etc/initscripts open
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-12 10:03 UTC by eda
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-15 16:57:45 UTC


Attachments (Terms of Use)

Description eda 1999-11-12 10:03:27 UTC
It appears that that initlog program probably forgets to close
/etc/initlog.conf on fd 3 before starting shell to execute system startup
script. The shell and subsequently processes started by this shell inherit
/etc/initlog.conf open on fd 3.

This, IMHO no doubt, is a bug. I did not think too much about possible
security implications of this, but anyway, this consumes one low-numbered
fd and I can imagine programs having problems with this.


Eduard Vopicka

Here is relevant info from machine with up-to-date RH61 installed.


[root@eda /root]# rpm -qf /sbin/initlog
initscripts-4.63-1
[root@eda /root]# lsof | grep initlog\\.conf
apmd      151 root    3r   REG        8,3     562     6311
/etc/initlog.conf
atd       391 root    3r   REG        8,3     562     6311
/etc/initlog.conf
crond     407 root    3r   REG        8,3     562     6311
/etc/initlog.conf
inetd     423 root    3r   REG        8,3     562     6311
/etc/initlog.conf
xntpd     442 root    3r   REG        8,3     562     6311
/etc/initlog.conf
sshd      451 root    3r   REG        8,3     562     6311
/etc/initlog.conf
lpd       467 root    3r   REG        8,3     562     6311
/etc/initlog.conf
gpm       505 root    3r   REG        8,3     562     6311
/etc/initlog.conf
xfs       543 root    3r   REG        8,3     562     6311
/etc/initlog.conf
[root@eda /root]#

Comment 1 Bill Nottingham 1999-11-15 16:57:59 UTC
this is fixed in initscripts-4.65-1, which will be in the next Raw Hide release.


Note You need to log in before you can comment on or make changes to this bug.